PDA

Visualizza versione completa : [Slack] 10.2 - Display problemi


NS-1
21-01-2006, 16.29.09
Ciao a tutti,

ho installato la slack 10.2 con kernel (bareacpi.i) della famiglia 2.4 e quando avvio il server X, ogni 30 secondi mi appare una schermata che dice:

Display changed: LCD On

con dmesg poi vedo una marea di:

Asus ACPI: Error reading LCD status


cosa posso fare?

grazie

Ns-1

ANDY CAPS
21-01-2006, 21.55.12
prova a dare un lsmod e rimuovere acpi prima di avviare xserver

es

modprobe -r asus_acpi se c'è

pare sia un problema comune a molti possessori

http://www.google.com/search?q=Asus+ACPI%3A+Error+reading+LCD+status&sourceid=mozilla-search&start=0&start=0&ie=utf-8&oe=utf-8

qualcuno ha risolto modificando un file

NS-1
22-01-2006, 13.54.23
grazie, domani provo... :D:D:D ...e ti faccio sapere

NS-1
24-01-2006, 09.43.25
Originariamente inviato da ANDY CAPS
prova a dare un lsmod e rimuovere acpi prima di avviare xserver

es

modprobe -r asus_acpi se c'è

pare sia un problema comune a molti possessori

http://www.google.com/search?q=Asus+ACPI%3A+Error+reading+LCD+status&sourceid=mozilla-search&start=0&start=0&ie=utf-8&oe=utf-8

qualcuno ha risolto modificando un file

il modulo asus_acpi non viene caricato e non è presente nei moduli disponibili per il caricamento.

Le altre soluzioni, tipo quella di togliere i permessi in lettura e scrittura del file virtuale /proc/acpi/asus/lcd non funzionano...

che faccio?

NS-1
24-01-2006, 09.44.00
Originariamente inviato da NS-1
con dmesg poi vedo una marea di:

Asus ACPI: Error reading LCD status

NS-1
24-01-2006, 16.17.31
nessuno?
ghandalf il mago non c'è?

Ghandalf
24-01-2006, 16.21.36
mmm, mi viene da consigliati di passare al 2.6. secondo me decisamente avanti per queste cose..;)..altrimenti provare ad installare i driver del produttore della tua scheda video (ATI o nVidia)

NS-1
24-01-2006, 16.32.13
ho una ATI 9600 128Mb, ci sono i driver per linux???? :D

Ghandalf
24-01-2006, 17.05.37
credo di sì..;)

http://www.ati.com/products/catalyst/linux.html

https://support.ati.com/ics/support/default.asp?deptID=894&task=knowledge&folderID=27

NS-1
25-01-2006, 09.05.12
grazie...
...appena posso li installo e vi faccio sapere...

grazie ancora (B)

ANDY CAPS
29-01-2006, 09.08.23
http://freeunix.dyndns.org:8088/site2/acpitool.shtml

prova anche ad installare acpitool http://freeunix.dyndns.org:8088/ftp_site/pub/unix/acpitool/acpitool-0.4.2-i686-1.tgz

per gli asus ci sono comandi appositi che potrebbero anche eliminare i messaggi

Ghandalf
29-01-2006, 14.52.46
Non avevo letto bene il primo post...effettivamente pare non avere graché a che fare con i driver, che comunque dovresti installare..:)

NS-1
10-02-2006, 17.51.58
ho ricompilato il kernel di default e ora è tutto ok! (Y)

...adesso però ho notato che col nuovo kernel, i moduli a disposizione non sono più gli stessi...

nelle prossime ricompilazioni del kernel, come faccio a 'dirgli' di installarli da un'altra parte in modo d avere kernel e moduli indipendenti tra di loro?

ANDY CAPS
10-02-2006, 20.27.14
basta che sia un kernel diverso lo installa da se in una directory diversa
non devi fare niente

se ricompili lo stesso allora usa la stessa dir

NS-1
12-02-2006, 11.44.56
(Y)

..grazie a tutti per l'aiuto... :D

NS-1
11-03-2006, 11.50.18
ho trovato la soluzione... :D:D:D ...senza mettere mano al kernel

locate kmilod.desktop
editare questo file
e modificare la voce X-KDE-Kded-autoload=true in false (Y)

spero possa servire anche ad altri... (Y)(Y)(Y)